from sanic import Sanic, Request, text
from sanic.log import logger

from utils.logger import setup_log, S_LOGGING_CONFIG_DEFAULTS
from utils.assets import load_assets
from sdo import bp_sdo
from sif import bp_sif



setup_log()
app = Sanic("kotori", log_config=S_LOGGING_CONFIG_DEFAULTS)
app.blueprint(bp_sdo)
app.blueprint(bp_sif)



app.config["PUBKEY_PATH"] = "./publickey.pem"
app.config["PRIVKEY_PATH"] = "./privatekey.pem"
app.config["ASSETS_LIST_PATH"] = "./assets/assets_list.json"
app.config["ASSETS_PATH_ANDROID"] = "E:/20240802_sif/honoka-chan/static/Android/archives"
app.config["ASSETS_PATH_IOS"] = ""
app.config["STATIC_ROOT"] = "http://localsif:8080"
app.config["PACKAGE_VERSION"] = "97.4.6"



@app.before_server_start
async def attach_db(app, loop):
    load_assets()

@app.middleware("request")
async def callback_request(request: Request):
    logger.info(f"{request.ip} {request.method} - {request.url}")

@app.route('/')
async def test(request):
    return text("(·8·)")



if __name__ == '__main__':
    app.run(port=8080)