from sanic import Blueprint, Request

import time

from ..common import common_api



bp_sif_misc = Blueprint("sif_misc")



@bp_sif_misc.route("/gdpr/get", methods=["POST"])
@common_api
async def gdpr_get(request: Request):
    resp = {
        "enable_gdpr": True,
        "is_eea": False,
        "server_timestamp": int(time.time())
    }
    return resp
    


@bp_sif_misc.route("/lbonus/execute", methods=["POST"])
@common_api
async def lbonus_execute(request: Request):
    
    ### TODO - PLACEHOLDER ###
    
    lbdays = {
        "day": 0,
	    "day_of_the_week": 1,
	    "special_day": False,
	    "special_image_asset": "",
	    "received": False,
	    "ad_received": False,
	    "item": {
            "item_id": 0,
            "add_type": 0,
            "amount": 0
        }
    }
    
    resp = {
        "sheets": [],
        "calendar_info": {
            "current_date": "2006-01-02 03:04:05",
            "current_month": {
                "year": 0,
                "month": 0,
                "days": [lbdays]
            },
            "next_month": {
                "year": 0,
                "month": 0,
                "days": [lbdays]
            }
        },
        "total_login_info": {
            "login_count": 100,
            "remaining_count": 100,
            "reward": {
                "item_id":  5,
                "add_type": 1000,
                "amount":  5,
            }
        },
        "license_lbonus_list": [],
        "class_system": {
            "rank_info": {
                "before_class_rank_id": 10,
                "after_class_rank_id": 10,
                "rank_up_date": "2020-02-12 11:57:15",
            },
            "complete_flag": False,
            "is_opened": True,
            "is_visible": True,
        },
        "start_dash_sheets": [],
        "effort_point": {
            "live_effort_point_box_spec_id": 0,
            "capacity": 0,
            "before": 0,
            "after": 0,
            "rewards": 0,
        },
        "limited_effort_box": [],
        "museum_info": {},
        "server_timestamp": int(time.time()),
        "present_cnt": 0,
    }
    return resp



@bp_sif_misc.route("/personalnotice/get", methods=["POST"])
@common_api
async def personalnotice_get(request: Request):
    resp = {
        "has_notice": False,
        "notice_id": 0,
        "type": 0,
        "title": "",
        "contents": "",
        "server_timestamp": int(time.time()),
    }
    return resp

@bp_sif_misc.route("/personalnotice/agree", methods=["POST"])
@common_api
async def personalnotice_agree(request: Request):
    return {}



@bp_sif_misc.route("/tos/tosCheck", methods=["POST"])
@common_api
async def tos_tosCheck(request: Request):
    resp = {
        "tos_id": 1,
        "tos_type": 1,
        "is_agreed": True,
        "server_timestamp": int(time.time()),
    }
    return resp

@bp_sif_misc.route("/tos/tosAgree", methods=["POST"])
@common_api
async def tos_tosAgree(request: Request):
    return {}