from sanic import Blueprint, Request

import time

from ..common import common_api



bp_sif_user = Blueprint("sif_user", url_prefix="user")



@bp_sif_user.route("userInfo", methods=["POST"])
@common_api
async def userinfo(request: Request):
    resp = {
        "user": {
            "user_id": request.ctx.user_id,
            "name": "wlt233",
            "level": 100,
            "exp": 100,
            "previous_exp": 0,
            "next_exp": 100,
            "game_coin": 0,
            "sns_coin": 0,
            "free_sns_coin": 0,
            "paid_sns_coin": 0, 
            "social_point": 0,
            "unit_max": 100,
            "waiting_unit_max": 100,
            "energy_max": 100,
            "energy_full_time": "2023-03-20 03:58:55",
            "license_live_energy_recoverly_time": 100,
            "energy_full_need_time": 0,
            "over_max_energy": 0,
            "training_energy": 100,
            "training_energy_max": 0,
            "friend_max": 100,
            "invite_code": "",
            "insert_date": "2023-03-20 03:58:55",
            "update_date": "2023-03-20 03:58:55",
            "tutorial_state": -1,
            "diamond_coin": 0,
            "crystal_coin": 0,
            "lp_recovery_item": []
        },
        "birth": {
            "birth_month": 1,
            "birth_day": 1
        },
        "server_timestamp": int(time.time())
    }
    return resp